Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Interface SchemaManager

public interface SchemaManager
extends javax.ejb.EJBObject

Remote interface for the SchemaManager EJB, used to interact with the WLAI schema repository.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`ISchemaDescriptor` | `addSchema(INamespace parentNamespace, java.lang.String schemaName)` Add a new schema to the repository.
`boolean` | `exists(QualifiedName aQualifiedName)` Determine whether the schema represented by a qualified name exists in the repository.
`IEventDescriptor` | `getEventDescriptor(java.lang.String appViewName, java.lang.String eventTypeName)` Get an event descriptor given the ApplicationView name and event type name.
`ISchemaDescriptor` | `getSchema(QualifiedName aQualifiedName)` Get the schema with name given by aQualifiedName parameter.
`ISchemaDescriptor` | `removeSchema(QualifiedName aQualifiedName)` Remove the schema with name given by aQualifiedName parameter.
`void` | `updateSchema(ISchemaDescriptor aSchemaDescriptor)` Update the schema with given by the schema descriptor.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### addSchema

    public ISchemaDescriptor addSchema(INamespace parentNamespace,
                                       java.lang.String schemaName)
                                throws SchemaException,
                                       java.rmi.RemoteException

  Add a new schema to the repository.

  Parameters:
    `parentNamespace` - the namespace which will contain the new schema.
    `schemaName` - name of the new schema.
  Returns:
    an ISchemaDescriptor containing the new schema.
  Throws:
    SchemaException - If the parent namespace does not exist in the repository or if an error occurs while adding the schema.
    java.rmi.RemoteException - If a RMI communication error occurs.

### getSchema

    public ISchemaDescriptor getSchema(QualifiedName aQualifiedName)
                                throws SchemaException,
                                       java.rmi.RemoteException

  Get the schema with name given by aQualifiedName parameter.

  Parameters:
    `aQualifiedName` - a qualified name specifying the schema to retrieve.
  Returns:
    an ISchemaDescriptor containing the retrieved schema.
  Throws:
    SchemaException - If the schema does not exist in the repository or if an error occurs while retrieving the schema from the repository.
    java.rmi.RemoteException - If a RMI communication error occurs.

### removeSchema

    public ISchemaDescriptor removeSchema(QualifiedName aQualifiedName)
                                   throws SchemaException,
                                          java.rmi.RemoteException

  Remove the schema with name given by aQualifiedName parameter.

  Parameters:
    `aQualifiedName` - a qualified name specifying the schema to remove.
  Returns:
    an ISchemaDescriptor containing the removed schema.
  Throws:
    SchemaException - If the schema does not exist in the repository or if the schema with the given name cannot removed.
    java.rmi.RemoteException - If a RMI communication error occurs.

### updateSchema

    public void updateSchema(ISchemaDescriptor aSchemaDescriptor)
                      throws SchemaException,
                             java.rmi.RemoteException

  Update the schema with given by the schema descriptor.

  Parameters:
    `aSchemaDescriptor` - describing the schema to update.
  Throws:
    SchemaException - If the schema does not yet exist in the repository or if the given schema cannot be updated.
    java.rmi.RemoteException - If a RMI communication error occurs.

### exists

    public boolean exists(QualifiedName aQualifiedName)
                   throws SchemaException,
                          java.rmi.RemoteException

  Determine whether the schema represented by a qualified name exists in the repository.

  Parameters:
    `aQualifiedName` - - the qualified name of the schema to find in the repository.
  Returns:
    a boolean object containing true if the schema exists in the repository and false if it does not.
  Throws:
    SchemaException - If an error occurs while examining the repository.
    java.rmi.RemoteException - If an RMI communication error occurs.

### getEventDescriptor

    public IEventDescriptor getEventDescriptor(java.lang.String appViewName,
                                               java.lang.String eventTypeName)
                                        throws DocumentException,
                                               DocumentParseException,
                                               java.io.IOException,
                                               java.rmi.RemoteException

  Get an event descriptor given the ApplicationView name and event type name.

  Returns:
    The event descriptor for the given ApplicationView and event.
  Throws:
    java.io.IOException - If an error occurs reading from the repository.
    DocumentException - If an error occurs while manipulating the schema.
    DocumentParseException - If an error occurs while parsing the schema text as it has been stored in the repository.
    java.rmi.RemoteException - If a RMI communication error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)